Name:           python-memcached
Version:        1.58
Release:        1
Summary:        A Python memcached client library
License:        Python
URL:            https://github.com/linsomniac/python-memcached
Source0:        https://files.pythonhosted.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch


%bcond_without python2
%bcond_without python3
%bcond_without check


%{?with_python2:BuildRequires:	python2-devel,python2-setuptools,python2-six,python2-nose}
%{?with_python3:BuildRequires:	python3-devel,python3-setuptools,python3-six,python3-nose}

# Required for running test suite
%if %{with check}
BuildRequires:  memcached
%endif

%global desc This software is a 100% Python interface to the memcached memory cache\
daemon.  It is the client side software which allows storing values in one\
or more, possibly remote, memcached servers. Search google for memcached\
for more information.

%description 
%{desc}



%if %{with python2}
%package -n python2-memcached
Summary: %{summary}
%{?python_provide:%python_provide python2-memcached}

%description -n python2-memcached
%{desc}


%files -n python2-memcached
%doc ChangeLog README.md
%attr(755,root,root) %{python2_sitelib}/memcache.py
%{python2_sitelib}/memcache.py[co]
%{python2_sitelib}/python_memcached-%{version}-py*.egg-info/
%endif # python2

%package -n python3-memcached
Summary: %{summary}
%{?python_provide:%python_provide python3-memcached}

%description -n python3-memcached 
%{desc}

%files -n python3-memcached
%doc ChangeLog README.md
%attr(755,root,root) %{python3_sitelib}/memcache.py
%{python3_sitelib}/memcache.py
%{python3_sitelib}/__pycache__/memcache.*
%{python3_sitelib}/python_memcached-%{version}-py*.egg-info/

%prep
%autosetup -n %{name}-%{version}


%build
%py2_build
%py3_build


%install
%if %{with python2}
%py2_install
%endif
%py3_install


%check
pidfile=$(mktemp)
memcached -d -P $pidfile

%if %{with python2}
%{__python2} -m nose
%endif
%{__python3} -m nose

kill $(cat $pidfile)

%changelog
* Wed Feb 12 2020 openEuler Buildteam <buildteam@openeuler.org> - 1.58.1
- Package init
